Skip to content
Start here

Create new saved string queries in bulk

POST/accounts/{account_id}/brand-protection/queries/bulk

Return a success message after creating new saved string queries in bulk

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel Write
Path ParametersExpand Collapse
account_id: string
minLength1
Body ParametersJSONExpand Collapse
queries: optional array of map[unknown]

Create new saved string queries in bulk

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/brand-protection/queries/bulk \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{}'
Returns Examples